# Snapshot report for `test/test.js`

The actual snapshot is saved in `test.js.snap`.

Generated by [AVA](https://ava.li).

## Combine Events

> Combine Events

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": [$event => {␊
          _this.action1($event);␊
        }, $event => {␊
          _this.action2($event);␊
        }]␊
      }␊
    }} />;`

## Ignores attributes

> Ignores attributes

    '<a href="#" />;'

## Ignores not jsx expressions

> Ignores not jsx expressions

    '<a />;'

## Ignores spread

> Ignores spread

    '<a {...b} />;'

## No Events

> No Events

    '<a />;'

## Plain Event

> Plain Event

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          _this.action($event);␊
        }␊
      }␊
    }} />;`

## Simple :stop

> Simple :stop

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          $event.stopPropagation();␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Supports Dash

> Supports Dash

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          _this.action($event);␊
        }␊
      }␊
    }} />;

## :capture-once

> :capture-once

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "~!event": $event => {␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :capture

> Simple :capture

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "!event": $event => {␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :once

> Simple :once

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "~event": $event => {␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;

## :bare-alt-shift

> :bare-alt-shift

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.ctrlKey && $event.metaKey || !$event.altKey || !$event.shiftKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :alt

> Simple :alt

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!$event.altKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :bare

> Simple :bare

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.ctrlKey && $event.shiftKey && $event.altKey && $event.metaKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :prevent

> Simple :prevent

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          $event.preventDefault();␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :self

> Simple :self

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.target !== $event.currentTarget) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :shift

> Simple :shift

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!$event.shiftKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;

## No key modifier but alt and shift and must be both alt and shift :bare-alt-shift

> No key modifier but alt and shift and must be both alt and shift :bare-alt-shift

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.ctrlKey && $event.metaKey || !$event.altKey || !$event.shiftKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple key-modifier :shift

> Simple key-modifier :shift

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!$event.shiftKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple no-key-modifier :bare

> Simple no-key-modifier :bare

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.ctrlKey && $event.shiftKey && $event.altKey && $event.metaKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple preventDefault :prevent

> Simple preventDefault :prevent

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          $event.preventDefault();␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple stopPropagation :stop

> Simple stopPropagation :stop

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          $event.stopPropagation();␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;

## Simple alias :enter

> Simple alias :enter

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!("button" in $event) && _this._k($event.keyCode, "enter", 13)) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple double alias :delete

> Simple double alias :delete

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!("button" in $event) && _this._k($event.keyCode, "delete", [8, 46])) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;

## Simple key code :k120

> Simple key code :k120

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!("button" in $event) && $event.keyCode !== 120) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`